DUMPE2FS(8)

NOM
dumpe2fs - Afficher des informations sur le système de fichiers ext2/ext3/ext4

SYNOPSIS
dumpe2fs [ -bfghixV ] [ -o superblock=superbloc ] [ -o blocksize=taille_bloc ] périphérique

DESCRIPTION
dumpe2fs affiche le superbloc et des informations sur les groupes de blocs du système de fichiers présent sur le périphérique.

Remarque : s’il est utilisé sur un système de fichiers monté, l'information affichée peut ne plus être à jour ou être incohérente.

OPTIONS

-b  Afficher les blocs qui sont marqués défectueux dans le système de fichiers.

-o superblock=superbloc
    Utiliser le bloc superbloc lors de l'examen du système de fichiers. Cette option n'est normalement pas nécessaire, sauf pour un expert en systèmes de fichiers qui examinerait un système de fichiers très abîmé.

-o blocksize=taille_bloc
    Utiliser des blocs de taille taille_bloc octets lors de l'examen du système de fichiers. Cette option n'est normalement pas nécessaire, sauf pour un expert en systèmes de fichiers qui examinerait un système de fichiers très abîmé.

-f  Forcer dumpe2fs à afficher le système de fichiers, même s'il possède des attributs que dumpe2fs ne connaît pas (et qui peuvent provoquer une sortie de dumpe2fs suspecte).

-g  Afficher les informations de descripteur de groupe dans un format de valeurs séparées par des deux-points, lisible par une machine. Les champs affichés sont le numéro de groupe, le numéro du premier bloc du groupe, l’emplacement du superbloc (ou -1 si absent), l’intervalle de blocs utilisé par les descripteurs de groupe (ou -1 si absent), l’emplacement de la table de blocs, l’emplacement de la table d’inœuds et l’intervalle de blocs utilisé par la table d’inœuds.

-h  N'afficher que les informations de superbloc et aucune information détaillée des descripteurs de groupe.

-i  Afficher les informations d'un système de fichiers à partir d'une image créée par e2image, en prenant périphérique comme chemin vers le fichier image.

-m  Si la fonctionnalité mmp est activée sur le système de fichiers, vérifier si le périphérique est utilisé par un autre nœud. Consultez e2mmpstatus(8) pour tous les détails. Si l’option -i est aussi utilisée, seulement l’information de bloc MMP est affichée.

-x  Afficher les informations détaillées sur les groupes de blocs avec des nombres hexadécimaux.

-V  Afficher le numéro de version de dumpe2fs et quitter.

CODE DE RETOUR
dumpe2fs quitte avec le code de retour 0 si l’opération se termine sans erreur. Il quitte avec un code de retour différent en présence de toute erreur, telle que des problèmes de lecture d’un superbloc valable, des sommes de contrôle erronées ou si le périphérique est utilisé par un autre nœud et l’option -m est indiquée.

BOGUES
Vous devez connaître la structure physique du système de fichiers pour comprendre la sortie de ce programme.

AUTEUR
dumpe2fs a été écrit par Rémy Card <card@masi.ibp.fr>. Il est désormais maintenu par Theodore Ts'o <tytso@alum.mit.edu>.

DISPONIBILITÉ
dumpe2fs fait partie du paquet e2fsprogs et est disponible sur http://e2fsprogs.sourceforge.net.

VOIR AUSSI
e2fsck(8), e2mmpstatus(8), mke2fs(8), tune2fs(8), ext4(5)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.